POST
Add a plain-text note to an order. To attach files, upload them first via POST /v1/file/upload and pass the returned ids in fileIds.
Bearerheader
AuthorizationBearer <token>Installer.com auth token
orderId*stringFormat
uuidCreate order note payload
application/json- body
content*stringPlain text note content
Length
1 <= lengthfileIds?array<string>Optional list of file ids previously uploaded via POST /v1/file/upload
isPublic?booleanWhen true, the note is visible to all participants on the order. Defaults to false (router-internal only).
Default
falseCreated order note
application/json- response
id*stringFormat
uuidorderId*stringFormat
uuidcontent*stringfileIds*array<string>isPublic*booleancreatedAt*stringFormat
date-timeExample Request
curl -X POST 'https://api.installer.com/api/v1/order/497f6eca-6276-4993-bfeb-53cbbbba6f08/note' \ -H 'Content-Type: application/json' \ -d '{ "content": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5", "content": "string", "fileIds": [ "string" ], "isPublic": true, "createdAt": "2019-08-24T14:15:22Z"}